## libfile-temp-perl 0.14-1

=== debian/changelog ===
libfile-temp-perl (0.14-1) unstable; urgency=low

  * First initial release.

 -- Raphael Bossek <bossekr@debian.org>  Mon, 11 Oct 2004 21:25:14 +0200
