=== debian/control ===
Source: libfile-temp-perl
Section: interpreters
Priority: optional
Build-Depends: perl (>= 5.6.1-8.7), debhelper (>= 3.0.18)
Maintainer: Raphael Bossek <bossekr@debian.org>
Standards-Version: 3.6.0

Package: libfile-temp-perl
Architecture: all
Depends: ${perl:Depends}
Description: Return name and handle of a temporary file safely
 File::Temp can be used to create and open temporary files in a safe way.
 There is both a function interface and an object-oriented interface.
