=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

ifndef PERL
	PERL = /usr/bin/perl
endif

SRCDIR = File-Temp-0.14
ARCHIVE = $(SRCDIR).tar.gz

TMP =`pwd`/debian/tmp
archlib =`$(PERL) -MConfig -e 'print $$Config{installarchlib}'`
config =INSTALLDIRS=perl INSTALLMAN1DIR=$(TMP)/usr/share/man/man1 INSTALLMAN3DIR=$(TMP)/usr/share/man/man3 INSTALLPRIVLIB=$(TMP)/usr/lib/perl5 INSTALLARCHLIB=$(TMP)$(archlib) INSTALLBIN=$(TMP)/usr/bin INSTALLSCRIPT=$(TMP)/usr/bin

$(SRCDIR):	$(ARCHIVE)
	tar -xzf $(ARCHIVE)

build: build-stamp
build-stamp:	$(SRCDIR)
	dh_testdir

# Add here commands to compile the package.
	cd $(SRCDIR) && $(PERL) Makefile.PL INSTALLDIRS=vendor
# For potato builds
	if ! grep ^install_vendor $(SRCDIR)/Makefile >/dev/null; then \
		$(MAKE) -C $(SRCDIR) clean; \
		cd $(SRCDIR) && $(PERL) Makefile.PL $(config); \
	fi
	$(MAKE) -C $(SRCDIR) OPTIMIZE="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp install-stamp $(SRCDIR)

	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	if grep ^install_vendor $(SRCDIR)/Makefile; then \
		$(MAKE) -C $(SRCDIR) install PREFIX=$(TMP)/usr; \
	else \
		$(MAKE) -C $(SRCDIR) pure_install DESTDIR=$(TMP); \
	fi
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs $(SRCDIR)/README
	dh_installexamples examples/*
#	dh_installmenu
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
	dh_installchangelogs $(SRCDIR)/ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
